<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.2.10.6
Name: GEBB Comment Activity
Description: Comments are free text data that cannot otherwise be recorded using data elements already defined by this specification. 
                They are not to be used to record information that can be recorded elsewhere. For example, a free text description of the severity of an 
                allergic reaction would not be recorded in a comment.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000">
   <title>GEBB Comment Activity</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.6
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6']]
Item: (gebb-CommentActivity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.6
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6' and hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']
Item: (gebb-CommentActivity)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6' and hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']"
         id="tmp-r-864398be-95dd-4e6b-a315-796d2b5978c5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="string(@classCode)='ACT'">(gebb-CommentActivity): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="string(@moodCode)='EVN'">(gebb-CommentActivity): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.6'])&gt;=1 ">(gebb-CommentActivity): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.6'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.6'])&lt;=1">(gebb-CommentActivity): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64'])&gt;=1 ">(gebb-CommentActivity): element hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64'])&lt;=1">(gebb-CommentActivity): element hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'])&gt;=1 ">(gebb-CommentActivity): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'])&lt;=1">(gebb-CommentActivity): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="count(hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(gebb-CommentActivity): element hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="count(hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(gebb-CommentActivity): element hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(gebb-CommentActivity): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="count(hl7:text)&lt;=1">(gebb-CommentActivity): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.6
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6' and hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.6']
Item: (gebb-CommentActivity)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6' and hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.6']"
         id="tmp-r-7e928a29-5d13-4082-a436-12791ed24bc1">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(gebb-CommentActivity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.2.10.6'">(gebb-CommentActivity): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.60.2.10.6' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.6
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6' and hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']
Item: (gebb-CommentActivity)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6' and hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']"
         id="tmp-r-4efb02f9-1899-4cb3-971f-26192bf4e236">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(gebb-CommentActivity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="string(@root)='2.16.840.1.113883.10.20.22.4.64'">(gebb-CommentActivity): @root MOET de waarde '2.16.840.1.113883.10.20.22.4.64' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.6
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6' and hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']
Item: (gebb-CommentActivity)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6' and hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']"
         id="tmp-r-10305a92-238f-4cd7-af70-520c3f7d5cf5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(gebb-CommentActivity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.4.2'">(gebb-CommentActivity): @root MOET de waarde '1.3.6.1.4.1.19376.1.5.3.1.4.2' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.6
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6' and hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (gebb-CommentActivity)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6' and hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-f82f2551-b9ac-4109-9f37-bb06acba9312">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(gebb-CommentActivity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="@nullFlavor or (@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')">(gebb-CommentActivity): de elementwaarde MOET een zijn van 'code '48767-8' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.6
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6' and hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:text
Item: (gebb-CommentActivity)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6' and hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:text"
         id="tmp-r-41f2d5b5-99ab-4359-bb1e-b012fb17b6bb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(gebb-CommentActivity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(gebb-CommentActivity): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="count(hl7:reference)&lt;=1">(gebb-CommentActivity): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.6
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6' and hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:text/hl7:reference
Item: (gebb-CommentActivity)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.6' and hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:text/hl7:reference"
         id="tmp-r-5ec4b024-75f4-4685-82b6-10aa9aefb56b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.6-2014-03-31T000000.html"
              test="@value">(gebb-CommentActivity): attribute @value MOET aanwezig zijn.</assert>
   </rule>
</pattern>
