<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.3.1.6
Name: IHE Laboratory Observation
Description: The document SHALL contain at least one Laboratory Observation (See REFERENCE) under the Specimen Act of each Laboratory Data Processing Entry (See REFERENCE). The Laboratory Observation SHALL record a single laboratory observation in the document, either standalone or as part of a battery. It should be distinguished from the PCC Simple Observation template.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000">
   <title>IHE Laboratory Observation</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]"
         id="tmp-r-0fb1510c-d140-40d4-8710-5bc0d3797e8c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/@nullFlavor)">(ihe-LaboratoryObservation): element hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6'])&lt;=1">(ihe-LaboratoryObservation): element hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']"
         id="tmp-r-e95219db-c292-4db5-b9f5-1016ffd7e568">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@classCode)='OBS'">(ihe-LaboratoryObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@moodCode)='EVN'">(ihe-LaboratoryObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']/@nullFlavor)">(ihe-LaboratoryObservation): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6'])&lt;=1">(ihe-LaboratoryObservation): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:id)&lt;=1">(ihe-LaboratoryObservation): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ihe-LaboratoryObservation): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:code)&lt;=1">(ihe-LaboratoryObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:statusCode[@code='completed' or @code='aborted' or @nullFlavor])&gt;=1 ">(ihe-LaboratoryObservation): element hl7:statusCode[@code='completed' or @code='aborted' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:statusCode[@code='completed' or @code='aborted' or @nullFlavor])&lt;=1">(ihe-LaboratoryObservation): element hl7:statusCode[@code='completed' or @code='aborted' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(ihe-LaboratoryObservation): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:value)&lt;=1">(ihe-LaboratoryObservation): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:interpretationCode)&lt;=1">(ihe-LaboratoryObservation): element hl7:interpretationCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:methodCode)&lt;=1">(ihe-LaboratoryObservation): element hl7:methodCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:subject)&lt;=1">(ihe-LaboratoryObservation): element hl7:subject komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:specimen)&lt;=1">(ihe-LaboratoryObservation): element hl7:specimen komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:performer)&lt;=1">(ihe-LaboratoryObservation): element hl7:performer komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:participant[@typeCode='AUTHEN']|hl7:participant[@typeCode='RESP']|hl7:participant[@typeCode='DEV'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="$elmcount&lt;=3">(ihe-LaboratoryObservation): keuze (hl7:participant[@typeCode='AUTHEN'] of hl7:participant[@typeCode='RESP'] of hl7:participant[@typeCode='DEV']) bevat te veel elementen [max 3x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:participant[@typeCode='AUTHEN'])&lt;=1">(ihe-LaboratoryObservation): element hl7:participant[@typeCode='AUTHEN'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:participant[@typeCode='RESP'])&lt;=1">(ihe-LaboratoryObservation): element hl7:participant[@typeCode='RESP'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:participant[@typeCode='DEV'])&lt;=1">(ihe-LaboratoryObservation): element hl7:participant[@typeCode='DEV'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:referenceRange)&lt;=1">(ihe-LaboratoryObservation): element hl7:referenceRange komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']"
         id="tmp-r-737e2ebb-936c-4f77-9f71-02123b11d94c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.1.6'">(ihe-LaboratoryObservation): de waarde van @root MOET '1.3.6.1.4.1.19376.1.3.1.6' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:id
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:id"
         id="tmp-r-92666fbb-044b-40fa-8ca7-e087bffac357">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:code
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:code"
         id="tmp-r-83ee4934-dd4e-4608-b5a0-893158c877db">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:statusCode[@code='completed' or @code='aborted' or @nullFlavor]
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:statusCode[@code='completed' or @code='aborted' or @nullFlavor]"
         id="tmp-r-76ea571b-8ca8-4418-a068-125c1ea0e979">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="@nullFlavor or (@code='completed') or (@code='aborted')">(ihe-LaboratoryObservation): de elementwaarde MOET een zijn van 'code 'completed' of code 'aborted''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:effectiveTime
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:effectiveTime"
         id="tmp-r-ae248586-4829-47d8-8714-3ad025486642">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:value
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:value"
         id="tmp-r-017118c3-4413-4220-9a12-aadc165006cf">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ANY' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ANY" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ANY"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:interpretationCode
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:interpretationCode"
         id="tmp-r-eebce25a-6fe5-4109-9ffa-e017d64a4f58">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:methodCode
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:methodCode"
         id="tmp-r-b1545307-4bfb-47c2-88b4-4dc370e18878">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:subject
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:subject"
         id="tmp-r-39f27489-1dfa-47f4-899f-c80c76ab8a7d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='SBJ'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen"
         id="tmp-r-e7dedb12-4b4c-4031-883c-7d3ab4c92446">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='SPC'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'SPC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:specimenRole)&lt;=1">(ihe-LaboratoryObservation): element hl7:specimenRole komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole"
         id="tmp-r-63be1d6b-4e2a-4c40-bd6b-ed3cb70fc879">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@classCode)='SPEC'">(ihe-LaboratoryObservation): de waarde van @classCode MOET 'SPEC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:id)&lt;=1">(ihe-LaboratoryObservation): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:specimenPlayingEntity)&gt;=1 ">(ihe-LaboratoryObservation): element hl7:specimenPlayingEntity is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:specimenPlayingEntity)&lt;=1">(ihe-LaboratoryObservation): element hl7:specimenPlayingEntity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:productOf)&lt;=1">(ihe-LaboratoryObservation): element lab:productOf komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/hl7:id
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/hl7:id"
         id="tmp-r-81d6af4d-c82e-417b-be70-aef64c10b2fa">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity"
         id="tmp-r-80c567d4-a4fe-453e-8baf-fba7a1067461">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ihe-LaboratoryObservation): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:code)&lt;=1">(ihe-LaboratoryObservation): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:code
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:code"
         id="tmp-r-852edb1e-6724-4080-98af-3cfbe037baaa">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf"
         id="tmp-r-99285987-2ceb-4512-a9e5-307243df5b14">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='PRD'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'PRD' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure"
         id="tmp-r-065d3501-750b-49ca-b125-ef68c6a78507">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@classCode)='PROC'">(ihe-LaboratoryObservation): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@moodCode)='EVN'">(ihe-LaboratoryObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:code)&lt;=1">(ihe-LaboratoryObservation): element lab:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:effectiveTime)&gt;=1 and not(lab:effectiveTime/@nullFlavor)">(ihe-LaboratoryObservation): element lab:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:effectiveTime)&lt;=1">(ihe-LaboratoryObservation): element lab:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure/lab:code
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure/lab:code"
         id="tmp-r-07704b7c-8e54-457f-aaf0-e7c501971d7e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure/lab:effectiveTime
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure/lab:effectiveTime"
         id="tmp-r-c8922bc2-a049-4364-90ee-30149954d3b2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure/lab:targetSiteCode
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure/lab:targetSiteCode"
         id="tmp-r-eab688eb-029d-485e-bce0-30dc2d450bf6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:performer
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:performer"
         id="tmp-r-e1a4d0ff-055b-41f6-8953-725f0cabe0b6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='PRF'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'PRF' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:author
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:author"
         id="tmp-r-c468f2f8-b4ba-4ee7-a6ed-8bc5a655a923">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='AUT'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'AUT' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:participant[@typeCode='AUTHEN']
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:participant[@typeCode='AUTHEN']"
         id="tmp-r-d0f9b3bb-ebfc-4870-8af0-23731abbbe0d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='AUTHEN'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'AUTHEN' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:participant[@typeCode='RESP']
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:participant[@typeCode='RESP']"
         id="tmp-r-f76ec54b-f803-4fff-8465-797e67130b6a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='RESP'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'RESP' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:participant[@typeCode='DEV']
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:participant[@typeCode='DEV']"
         id="tmp-r-f1b2de46-2ea0-4059-80b9-e42b596bcd2a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='DEV'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'DEV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:entryRelationship[@typeCode='COMP']
Item: (ihe-LaboratoryObservation)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:entryRelationship[@typeCode='COMP']">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='COMP'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:entryRelationship[@typeCode='REFR']
Item: (ihe-LaboratoryObservation)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:entryRelationship[@typeCode='REFR']">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='REFR'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange"
         id="tmp-r-cd4d1634-74ba-48f9-a736-614918824308">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='REFV'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'REFV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:observationRange)&gt;=1 and not(hl7:observationRange/@nullFlavor)">(ihe-LaboratoryObservation): element hl7:observationRange is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:observationRange)&lt;=1">(ihe-LaboratoryObservation): element hl7:observationRange komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange"
         id="tmp-r-600949bf-0420-414b-8408-21d9b8106d6e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@classCode)='OBS'">(ihe-LaboratoryObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@moodCode)='EVN.CRT'">(ihe-LaboratoryObservation): de waarde van @moodCode MOET 'EVN.CRT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:value)&lt;=1">(ihe-LaboratoryObservation): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83') or @nullFlavor])&gt;=1 ">(ihe-LaboratoryObservation): element hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83') or @nullFlavor])&lt;=1">(ihe-LaboratoryObservation): element hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83') or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/hl7:value
Item: (ihe-LaboratoryObservation)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83') or @nullFlavor]
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83') or @nullFlavor]"
         id="tmp-r-1c7b7135-63c5-4443-8508-1c7f0c8ba36c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="@nullFlavor or (@code='N' and @codeSystem='2.16.840.1.113883.5.83')">(ihe-LaboratoryObservation): de elementwaarde MOET een zijn van 'code 'N' codeSystem '2.16.840.1.113883.5.83''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/lab:precondition
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/lab:precondition"
         id="tmp-r-37839201-169f-4e86-8d6e-53fcd74be92d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='PRCN'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'PRCN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:criterion)&gt;=1 ">(ihe-LaboratoryObservation): element lab:criterion is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:criterion)&lt;=1">(ihe-LaboratoryObservation): element lab:criterion komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/lab:precondition/lab:criterion
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/lab:precondition/lab:criterion"
         id="tmp-r-60afd50e-f935-4804-bc15-badaf300931f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@classCode)='COND'">(ihe-LaboratoryObservation): de waarde van @classCode MOET 'COND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@moodCode)='EVN'">(ihe-LaboratoryObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:code)&gt;=1 ">(ihe-LaboratoryObservation): element lab:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:code)&lt;=1">(ihe-LaboratoryObservation): element lab:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:value)&gt;=1 ">(ihe-LaboratoryObservation): element lab:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:value)&lt;=1">(ihe-LaboratoryObservation): element lab:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/lab:precondition/lab:criterion/lab:code
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/lab:precondition/lab:criterion/lab:code"
         id="tmp-r-b22c2c88-d636-4908-9f37-28f3a76016a7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141119T185313/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/lab:precondition/lab:criterion/lab:value
Item: (ihe-LaboratoryObservation)
-->
</pattern>
